%define Werror_cflags -Wformat

%define base_version 9.10.5
%define plevel P3

# default options
%bcond_without sdb_ldap
%bcond_without sdb_mysql
%bcond_without gssapi

Summary:	A DNS (Domain Name System) server
Name:		bind
Epoch:		1
Version:	%{base_version}%{?plevel:.%plevel}
Release:	1
License:	Distributable
Group:		System/Servers
Url:		http://www.isc.org/products/BIND/
Source0:	ftp://ftp.isc.org/isc/%{name}9/%{base_version}-%{plevel}/%{name}-%{base_version}%{?plevel:-%plevel}.tar.gz
Source1:	ftp://ftp.isc.org/isc/%{name}9/%{base_version}-%{plevel}/%{name}-%{base_version}%{?plevel:-%plevel}.tar.gz.sha512.asc
Source2:	bind-manpages.tar.bz2
Source3:	bind-dhcp-dynamic-dns-examples.tar.bz2
Source4:	bind-named.service
Source5:	bind-named-chroot-setup.service
Source6:	bind-named.sysconfig
Source7:	bind-keygen.c
Source8:	bind-named-chroot-setup.sysconfig
Source10:	named-chroot.sh
Source11:	ftp://ftp.internic.net/domain/named.cache
# (oe) http://mysql-bind.sourceforge.net/
Source12:	mysql-bind-0.1.tar.bz2
# (oe) http://bind9-ldap.bayour.com/bind-sdb-ldap-1.0.tar.gz
Source13:	bind-sdb-ldap-1.0.tar.bz2
# (oe) http://www.blue-giraffe.com/zone2ldap/zone2ldap-0.4.tar.gz
Source14:	zone2ldap-0.4.tar.bz2
# (oe) http://www.venaas.no/dns/ldap2zone/
Source15:	ldap2zone.tar.bz2
# caching-nameserver files (S100-S112)
Source100:	bogon_acl.conf
Source101:	hosts
Source102:	localdomain.zone
Source103:	localhost.zone
Source104:	logging.conf
Source105:	named.broadcast
Source106:	named.conf
Source107:	named.ip6.local
Source108:	named.local
Source109:	named.zero
Source111:	rndc.key
Source112:	trusted_networks_acl.conf
Source113:	named.iscdlv.key
Patch1:		bind-queryperf_fix.diff
Patch2:		bind-9.7.3-link.patch
Patch100:	bind-9.8.1-sdb_ldap.diff
Patch101:	bind-9.3.1-zone2ldap_fixes.diff
Patch103:	zone2ldap-0.4-ldapv3.patch
Patch200:	bind-9.2.0rc3-varrun.patch
Patch205:	bind-9.3.2-prctl_set_dumpable.patch

BuildRequires:	bind-devel
BuildRequires:	openssl-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	file
%if %{with sdb_mysql}
BuildRequires:	mysql-devel
%endif
%if %{with sdb_ldap}
BuildRequires:	openldap-devel
%endif
BuildRequires:	libidn-devel
BuildRequires:	postgresql-devel
BuildRequires:	mysql-devel
BuildRequires:	libcap-devel >= 2.10
%if %{with gssapi}
BuildRequires:	krb5-devel
%endif
BuildRequires:	libxml2-devel
BuildRequires:	GeoIP-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	json-c-devel

Requires(pre):	rpm-helper
Requires(postun):	rpm-helper
Requires:	bind-utils >= %{version}-%{release}
# takes care of MDV Bug #: 62829
Requires:	openssl-engines

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).

%files
%doc CHANGES README FAQ COPYRIGHT README.urpmi
%if %{with sdb_ldap}
%doc contrib/sdb/ldap/README.ldap contrib/sdb/ldap/INSTALL.ldap
%endif
%if %{with sdb_mysql}
%doc contrib/sdb/mysql/ChangeLog.mysql contrib/sdb/mysql/README.mysql
%endif
%config(noreplace) %{_sysconfdir}/sysconfig/named
%config(noreplace) %{_sysconfdir}/sysconfig/named-chroot-setup
%{_unitdir}/named.service
%{_unitdir}/named-chroot-setup.service
%{_bindir}/arpaname
%{_bindir}/named-rrchecker
%{_sbindir}/ddns-confgen
%{_sbindir}/dns-keygen
%{_sbindir}/dnssec-dsfromkey
%{_sbindir}/dnssec-checkds
%{_sbindir}/dnssec-coverage
%{_sbindir}/dnssec-importkey
%{_sbindir}/dnssec-verify
%{_sbindir}/dnssec-keyfromlabel
%{_sbindir}/dnssec-keygen
%{_sbindir}/dnssec-revoke
%{_sbindir}/dnssec-settime
%{_sbindir}/dnssec-signzone
%{_sbindir}/genrandom
%{_sbindir}/isc-hmac-fixup
%{_sbindir}/lwresd
%{_sbindir}/named
%{_sbindir}/named-checkconf
%{_sbindir}/named-checkzone
%{_sbindir}/named-compilezone
%{_sbindir}/named-journalprint
%{_sbindir}/nsec3hash
%{_sbindir}/rndc
%{_sbindir}/rndc-confgen
%{_sbindir}/tsig-keygen
%{_sbindir}/named-chroot.sh
%{_mandir}/man1/arpaname.1.*
%{_mandir}/man1/named-rrchecker.1.*
%{_mandir}/man5/named.conf.5*
%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/ddns-confgen.8.*
%{_mandir}/man8/dnssec-*.8*
%{_mandir}/man8/genrandom.8.*
%{_mandir}/man8/isc-hmac-fixup.8.*
%{_mandir}/man8/lwresd.8*
%{_mandir}/man8/named-*.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/nsec3hash.8.*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/rndc-confgen.8*
%{_mandir}/man8/tsig-keygen.8.*
# the chroot
%dir /var/lib/named
%dir /var/lib/named/dev
%dir /var/lib/named/etc
%dir /var/lib/named/etc/samba
%dir /var/lib/named/etc/ld.so.conf.d
%dir /var/lib/named/var
%attr(775,named,root) %dir /var/lib/named/var/named
%dir /var/lib/named/var/lib
%dir /var/lib/named/var/lib/samba
%attr(-,named,named) %dir /var/lib/named/var/lib/samba/private
%attr(-,named,named) %dir /var/lib/named/var/lib/samba/private/dns
%attr(-,named,named) %dir /var/lib/named/var/lib/samba/private/sam.ldb.d
%dir /var/lib/named/lib
%dir /var/lib/named/lib64
%dir /var/lib/named/usr
%dir /var/lib/named/usr/lib
%dir /var/lib/named/usr/lib/ldb
%dir /var/lib/named/usr/lib/sasl2
%dir /var/lib/named/usr/lib/samba
%dir /var/lib/named/usr/lib/openssl-1.0.1m
%dir /var/lib/named/usr/lib/openssl-1.0.1m/engines
%dir /var/lib/named/usr/lib64
%dir /var/lib/named/usr/lib64/ldb
%dir /var/lib/named/usr/lib64/sasl2
%dir /var/lib/named/usr/lib64/samba
%dir /var/lib/named/usr/lib64/openssl-1.0.1m
%dir /var/lib/named/usr/lib64/openssl-1.0.1m/engines
%attr(-,named,named) %dir /var/lib/named/var/log
%attr(-,named,named) %dir /var/lib/named/var/run
%attr(-,named,named) %dir /var/lib/named/var/tmp
%attr(-,named,named) %dir /var/lib/named/var/named/master
%attr(-,named,named) %dir /var/lib/named/var/named/slaves
%attr(-,named,named) %dir /var/lib/named/var/named/reverse
%attr(-,named,named) %dir /var/lib/named/var/named/dynamic
%attr(-,named,named) %dir /var/lib/named/var/named/data
%config(noreplace) /var/lib/named/etc/named.conf
%attr(-,root,named) %config(noreplace) /var/lib/named/etc/bind.keys
%attr(-,root,named) %config(noreplace) /var/lib/named/etc/rndc.key
%attr(-,root,named) %config(noreplace) /var/lib/named/etc/named.iscdlv.key
%attr(-,named,named) /var/lib/named/var/named/dynamic/managed-keys.bind
%{_sysconfdir}/bind.keys
%{_sysconfdir}/named.conf
%{_sysconfdir}/rndc.key
%{_sysconfdir}/named.iscdlv.key
%config(noreplace) /var/lib/named/etc/bogon_acl.conf
%config(noreplace) /var/lib/named/etc/logging.conf
%config(noreplace) /var/lib/named/etc/trusted_networks_acl.conf
%config(noreplace) /var/lib/named/etc/hosts
%config(noreplace) /var/lib/named/var/named/master/localdomain.zone
%config(noreplace) /var/lib/named/var/named/master/localhost.zone
%config(noreplace) /var/lib/named/var/named/reverse/named.broadcast
%config(noreplace) /var/lib/named/var/named/reverse/named.ip6.local
%config(noreplace) /var/lib/named/var/named/reverse/named.local
%config(noreplace) /var/lib/named/var/named/reverse/named.zero
%config(noreplace) /var/lib/named/var/named/named.ca

#----------------------------------------------------------------------

%package utils
Summary:	Utilities for querying DNS name servers
Group:		Networking/Other

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

%files utils
%doc README COPYRIGHT  
%{_bindir}/bind9-config
%{_bindir}/delv
%{_bindir}/dig
%{_bindir}/host
%{_bindir}/nslookup
%{_bindir}/nsupdate
%{_mandir}/man1/delv.1.*
%{_mandir}/man1/bind9-config.1.*
%{_mandir}/man1/host.1*
%{_mandir}/man1/dig.1*
%{_mandir}/man1/nslookup.1*
%{_mandir}/man1/nsupdate.1*
%if %{with sdb_ldap}
%doc zone2ldap/zone2ldap.README ldap2zone/README.ldap2zone ldap2zone/dnszone-schema.txt
%{_bindir}/zonetoldap
%{_bindir}/ldap2zone
%{_mandir}/man1/zonetoldap.1*
%endif
%if %{with sdb_mysql}
%doc contrib/sdb/mysql/ChangeLog.mysql contrib/sdb/mysql/README.mysql
%{_bindir}/zonetodb
%endif
%{_mandir}/man5/resolver.5*
%{_mandir}/man5/resolv.5*

#----------------------------------------------------------------------

%package devel
Summary:	Include files and libraries needed for bind DNS development
Group:		Development/C

%description devel
The bind-devel package contains all the include files and the
library required for DNS (Domain Name Service) development for
BIND versions 9.x.x.

%files devel
%doc CHANGES README
%{_bindir}/isc-config.sh
%{_includedir}/*
%{_libdir}/*.a
%{_mandir}/man1/isc-config.sh.1*
%{_mandir}/man3/lwres*.3*
%{py_puresitedir}/isc-1.0-py2.7.egg-info
%{py_puresitedir}/isc/*.py

#----------------------------------------------------------------------

%package doc
Summary:	Documentation for BIND
Group:		Books/Other

%description doc
The bind-devel package contains the documentation for BIND.

%files doc
%doc doc/html doc/misc/
%doc doc/dhcp-dynamic-dns-examples doc/chroot doc/trustix

#----------------------------------------------------------------------

%prep

%if "%plevel" != ""
%setup -q  -n %{name}-%{base_version}-%{plevel} -a2 -a3 -a12 -a13 -a14 -a15
%else
%setup -q  -n %{name}-%{base_version} -a2 -a3 -a12 -a13 -a14 -a15
%endif

mkdir -p m4

%patch1 -p1 -b .queryperf_fix.droplet
%patch2 -p0 -b .link

%if %{with sdb_ldap}
cp bind-sdb-ldap-*/ldapdb.c bin/named/
cp bind-sdb-ldap-*/ldapdb.h bin/named/include/
%patch100 -p1 -b .ldap_sdb.droplet
%patch101 -p0 -b .zone2ldap_fixes.droplet
%patch103 -p0 -b .ldapv3.droplet
%endif

%if %{with sdb_mysql}
mv mysql-bind-0.1 contrib/sdb/mysql
cp contrib/sdb/mysql/mysqldb.c bin/named
cp contrib/sdb/mysql/mysqldb.h bin/named/include
%endif

%patch200 -p0 -b .varrun.droplet
%patch205 -p0 -b .prctl_set_dumpable.droplet

cp %{SOURCE4} named.service
cp %{SOURCE5} named-chroot-setup.service
# fix https://qa.mandriva.com/show_bug.cgi?id=62829
# so..., libgost.so needs to be in the chroot (ugly..., and will break backporting, well...)
OPENSSL_ENGINESDIR=`grep '^#define ENGINESDIR' %{multiarch_includedir}/openssl/opensslconf.h | cut -d\" -f2 | sed -e 's/^\///'`

cp %{SOURCE6} named.sysconfig
cp %{SOURCE8} named-chroot-setup.sysconfig
cp %{SOURCE7} keygen.c
cp %{SOURCE11} named.cache

mkdir -p caching-nameserver
cp %{SOURCE100} caching-nameserver/bogon_acl.conf
cp %{SOURCE101} caching-nameserver/hosts
cp %{SOURCE102} caching-nameserver/localdomain.zone
cp %{SOURCE103} caching-nameserver/localhost.zone
cp %{SOURCE104} caching-nameserver/logging.conf
cp %{SOURCE105} caching-nameserver/named.broadcast
cp %{SOURCE106} caching-nameserver/named.conf
cp %{SOURCE107} caching-nameserver/named.ip6.local
cp %{SOURCE108} caching-nameserver/named.local
cp %{SOURCE109} caching-nameserver/named.zero
cp %{SOURCE111} caching-nameserver/rndc.key
cp %{SOURCE112} caching-nameserver/trusted_networks_acl.conf
cp %{SOURCE113} caching-nameserver/named.iscdlv.key

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'


%build
%serverbuild
# it does not work with -fPIE and someone added that to the serverbuild macro...
CFLAGS=`echo $CFLAGS|sed -e 's|-fPIE||g'`
CXXFLAGS=`echo $CXXFLAGS|sed -e 's|-fPIE||g'`

export CPPFLAGS="$CPPFLAGS -DDIG_SIGCHASE"
export STD_CDEFINES="$CPPFLAGS"

libtoolize -c -f; aclocal -I libtool.m4 --force; autoconf -f

autoconf

%configure \
	--localstatedir=/var \
	--disable-openssl-version-check \
	--enable-threads \
	--enable-largefile \
	--enable-ipv6 \
	--enable-filter-aaaa \
	--enable-epoll \
	--with-openssl=%{_prefix} \
%if %{with gssapi}
	--with-gssapi=%{_prefix} --disable-isc-spnego \
%endif
	--with-randomdev=/dev/urandom \
	--with-libxml2=yes \
	--with-dlz-postgres=yes \
	--with-dlz-mysql=yes \
	--with-dlz-bdb=no \
	--with-dlz-filesystem=yes \
	--with-dlz-ldap=yes \
	--with-dlz-odbc=no \
	--with-dlz-stub=yes \
	--with-geoip

# pkcs11 support requires a working backend, otherwise bind won't start
# http://blogs.sun.com/janp/
# http://sourceforge.net/projects/opencryptoki
#--with-pkcs11 \

make

%if %{with sdb_ldap}
pushd zone2ldap
# fix references to zone2ldap
perl -pi -e "s|zone2ldap|zonetoldap|g" *
	gcc $CFLAGS -I../lib/dns/include -I../lib/dns/sec/dst/include \
	-I../lib/isc/include -I../lib/isc/unix/include -I../lib/isc/pthreads/include -c zone2ldap.c
	gcc $CFLAGS $LDFLAGS -o zone2ldap zone2ldap.o ../lib/dns/libdns.a -lcrypto -lpthread \
	../lib/isc/libisc.a -lldap -llber -lresolv %{?gssapi:`krb5-config --libs gssapi`} -lxml2 -lGeoIP  -lkrb5 -lgssapi_krb5 -ljson-c
popd

pushd ldap2zone
	gcc $CFLAGS -I../lib/dns/include -I../lib/dns/sec/dst/include \
	-I../lib/isc/include -I../lib/isc/unix/include -I../lib/isc/pthreads/include -c ldap2zone.c
	gcc $CFLAGS $LDFLAGS -o ldap2zone ldap2zone.o ../lib/dns/libdns.a -lcrypto -lpthread \
	../lib/isc/libisc.a -lldap -llber -lresolv %{?_with_gssapi:`krb5-config --libs gssapi`} -lxml2 -lGeoIP  -lkrb5 -lgssapi_krb5 -ljson-c
popd
%endif

%if %{with sdb_mysql}
pushd contrib/sdb/mysql
gcc $CFLAGS -I%{_includedir}/mysql -I../../../lib/dns/include -I../../../lib/dns/sec/dst/include \
	-I../../../lib/isc/include -I../../../lib/isc/unix/include -I../../../lib/isc/pthreads/include \
	-lkrb5 -lgssapi_krb -c zonetodb.c
gcc $CFLAGS $LDFLAGS -o zonetodb zonetodb.o \
	../../../lib/dns/libdns.a -lcrypto -lpthread ../../../lib/isc/libisc.a \
	-lmysqlclient -lresolv %{?_with_gssapi:`krb5-config --libs gssapi`} -lxml2 -lGeoIP -lkrb5 -lgssapi_krb5 -ljson-c
popd
%endif

gcc $CFLAGS -o dns-keygen keygen.c

#%%check
## run the test suite
#make check

%install
pushd doc
	rm -rf html
popd

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}/var/run/named 

%makeinstall_std

ln -snf named %{buildroot}%{_sbindir}/lwresd

mkdir -p %{buildroot}%{_unitdir}
install -m0644 named.service	%{buildroot}%{_unitdir}/
install -m0644 named-chroot-setup.service %{buildroot}%{_unitdir}/
install -m0644 named.sysconfig	%{buildroot}%{_sysconfdir}/sysconfig/named
install -m0644 named-chroot-setup.sysconfig	%{buildroot}%{_sysconfdir}/sysconfig/named-chroot-setup
install -m0755 %{SOURCE10}	%{buildroot}%{_sbindir}

%if %{with sdb_ldap}
install -m0755 zone2ldap/zone2ldap %{buildroot}%{_bindir}/zonetoldap
install -m0644 zone2ldap/zone2ldap.1 %{buildroot}%{_mandir}/man1/zonetoldap.1
install -m0755 ldap2zone/ldap2zone %{buildroot}%{_bindir}/ldap2zone
%endif

%if %{with sdb_mysql}
install -m0755 contrib/sdb/mysql/zonetodb %{buildroot}%{_bindir}/zonetodb
cp contrib/sdb/mysql/ChangeLog contrib/sdb/mysql/ChangeLog.mysql
cp contrib/sdb/mysql/README contrib/sdb/mysql/README.mysql
%endif

install -m0755 dns-keygen %{buildroot}%{_sbindir}/dns-keygen

# install the non-threaded host command
# fixes #16855
#install -m0755 usr/bin/host %{buildroot}%{_bindir}/

# make the chroot
install -d %{buildroot}/var/lib/named/{dev,etc,usr,lib,lib64}
install -d %{buildroot}/var/lib/named/etc/{samba,ld.so.conf.d}
install -d %{buildroot}/var/lib/named/var/{lib,log,run,tmp}
install -d %{buildroot}/var/lib/named/var/lib/samba/private/{dns,sam.ldb.d}
install -d %{buildroot}/var/lib/named/var/named/{master,slaves,reverse,dynamic,data}
install -d %{buildroot}/var/lib/named/usr/{lib,lib64}/{samba,openssl-1.0.1m,sasl2,ldb}
install -d %{buildroot}/var/lib/named/usr/{lib,lib64}/openssl-1.0.1m/engines

install -m 644 \
	caching-nameserver/named.conf \
	caching-nameserver/logging.conf \
	caching-nameserver/trusted_networks_acl.conf \
	caching-nameserver/hosts \
	caching-nameserver/bogon_acl.conf \
	%{buildroot}/var/lib/named/etc
install -m 640 \
	caching-nameserver/rndc.key \
	caching-nameserver/named.iscdlv.key \
	%{buildroot}/var/lib/named/etc
install -m 644 \
	caching-nameserver/localdomain.zone \
	caching-nameserver/localhost.zone \
	%{buildroot}/var/lib/named/var/named/master
install -m 644 \
	caching-nameserver/named.broadcast  \
	caching-nameserver/named.ip6.local \
	caching-nameserver/named.local \
	caching-nameserver/named.zero \
	%{buildroot}/var/lib/named/var/named/reverse

# fix some compat symlinks
ln -s /var/lib/named/etc/named.conf %{buildroot}%{_sysconfdir}/named.conf
ln -s /var/lib/named/etc/rndc.key %{buildroot}%{_sysconfdir}/rndc.key
ln -s /var/lib/named/etc/named.iscdlv.key %{buildroot}%{_sysconfdir}/named.iscdlv.key
mv %{buildroot}%{_sysconfdir}/bind.keys %{buildroot}/var/lib/named/etc/
ln -s /var/lib/named/etc/bind.keys %{buildroot}%{_sysconfdir}/bind.keys

echo "; Use \"dig @A.ROOT-SERVERS.NET . ns\" to update this file if it's outdated." > named.cache.tmp
cat named.cache >> named.cache.tmp
install -m0644 named.cache.tmp %{buildroot}/var/lib/named/var/named/named.ca

# fix man pages
install -m0644 man5/resolver.5 %{buildroot}%{_mandir}/man5/
ln -s resolver.5 %{buildroot}%{_mandir}/man5/resolv.5

# the following 3 lines is needed to make it short-circuit compliant.
pushd doc
	rm -rf html
popd

install -d doc/html
cp -f `find . -type f |grep html |sed -e 's#\/%{name}-%{version}##'|grep -v contrib` doc/html 

cat > README.urpmi << EOF
Please be aware that since release 9.10.2 Bind is under systemd control.

You can check service boot time behavour with the following command:

	systemctl is-enabled named.service

and adjust it with:

	systemctl enable/disable named.service

There is a companion service 'named-chroot-setup.service'. It can be used to
populate chroot environment with certain files and directories in pretty simple
and convinient way. See /etc/sysconfig/named-chroot-setup file for details.

If you have suggestions or problems with Bind and systemd please report
to http://bugs.rosalinux.ru
EOF

# this is just sick...
touch %{buildroot}/var/lib/named/var/named/dynamic/managed-keys.bind

%pre
%_pre_useradd named /var/lib/named /bin/false

# adjust home dir location if needed 
if [ "`getent passwd named | awk -F: '{print $6}'`" == "/var/named" ]; then
    usermod -d /var/lib/named named
fi

# check if bind is chrooted and try to restore it
if [ -x %{_sbindir}/bind-chroot.sh ]; then
    ROOTDIR="/var/lib/named-chroot"
    [ -f /etc/sysconfig/named ] && . /etc/sysconfig/named
    if [ -d $ROOTDIR -a ! -d /var/lib/named ]; then
	echo "old chroot found at $ROOTDIR, copying to /var/lib/named"
        cp -rp $ROOTDIR /var/lib/named
	chown -R named:named /var/lib/named
    fi
    if grep -q "$ROOTDIR" /etc/sysconfig/syslog; then
	if [ -f /var/lock/subsys/named ]; then
	    service named stop > /dev/null 2>/dev/null || :
	fi
	%{_sbindir}/bind-chroot.sh --unchroot > /dev/null 2>/dev/null || :
    fi
    if [ -f /var/lock/subsys/syslog ]; then
	service syslog restart  > /dev/null 2>/dev/null || :
    fi
fi

DATE=`date +%%Y%%m%%d%%j%%S`
for f in named.conf rndc.conf rndc.key; do
    # move away files to prepare for softlinks
    if [ -f /etc/$f -a ! -h /etc/$f ]; then mv -vf /etc/$f /etc/$f.$DATE; fi
    if [ -f /etc/$f -a ! -h /etc/$f ]; then mv -vf /etc/$f /etc/$f.$DATE; fi
    if [ -f /etc/$f -a ! -h /etc/$f ]; then mv -vf /etc/$f /etc/$f.$DATE; fi
done

%triggerin -- %{name} < 1:9.10.2-1
if [ $1 -eq 2 ] ; then
        # Package upgrade, only for SysVinit - systemd transition phase
        systemctl enable named >/dev/null 2>&1 || :
fi

%post
if grep -q "_MY_KEY_" /var/lib/named/etc/rndc.key; then
    MYKEY="`%{_sbindir}/dns-keygen`"
    perl -pi -e "s|_MY_KEY_|$MYKEY|g" /var/lib/named/etc/rndc.key
fi

%systemd_post named

%preun
%systemd_preun named

%postun
%systemd_postun named
%_postun_userdel named

%changelog
